Bug Hunting Session
Bug 87995 - settings : missing a checkbox in order to avoid thumbnail saving
Summary: settings : missing a checkbox in order to avoid thumbnail saving
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: low enhancement
Assignee: Ilhan Yesil
URL:
Whiteboard: target:6.2.0
Keywords: difficultyBeginner, easyHack, filter:odf, skillCpp
Depends on: 113922
Blocks: File-Properties Privacy
  Show dependency treegraph
 
Reported: 2015-01-03 14:15 UTC by Jérôme
Modified: 2018-08-03 16:03 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jérôme 2015-01-03 14:15:47 UTC
Could you add an checkbox into the settings dialog window in order to possibly skip the saving of thumbnails into the ODF files ?
Comment 1 Robinson Tryon (qubit) 2015-01-03 15:58:19 UTC
One for ze UX Team.
Status -> NEW
Comment 2 Adolfo Jayme 2015-01-04 10:11:49 UTC
UX suggestion:

Add a checkbox to the General tab of the Document Properties dialog (File > Properties…), labeled as follows:

[X] Save preview picture with this document

The checkbox should be placed at the bottom of the tab page (just below “Apply user data”, and should be checked by default.
Comment 3 Noel Grandin 2015-01-22 12:57:11 UTC
What is the use-case here? Saving of space, something else?
Comment 4 Adolfo Jayme 2015-01-22 17:41:03 UTC
Privacy concerns.
Comment 5 Noel Grandin 2015-01-22 19:08:11 UTC
Could you elaborate? Given that being able to read the file has the same permission as reading the thumb nail?
Comment 6 Jérôme 2015-01-24 09:59:55 UTC
In case the user doesn't use at all the preview :
- the file size is smaller (up to 30% depending on the content)
- LO is saving the file slightly faster
- it slightly descreases the energy consumption (extends a notebook battery operation, decreases the energy footprint on Earth, ...)
Comment 7 Noel Grandin 2015-01-25 05:46:16 UTC
Personally, I don't think the feature is sufficiently useful to warrant adding something to the UI, but hey, it's open-source, if someone wants to work on it... :-)

It might also be worth switching our thumbnail image format to something like index-color PNG, which is likely to be smaller.
Comment 8 Jérôme 2015-01-25 10:01:12 UTC
In the team I am working in, we never use the thumbnail feature.

However we have issues with storage, backup and email size limit. A few persons have issues with battery lifetime on their laptop but we all have to decrease the cost of our electricity bill.
Comment 9 Markus Mohrhard 2015-01-30 04:13:17 UTC
Leaving code pointers here:

The ui file for Glade:  sfx2/uiconfig/ui/documentinfopage.ui
The corresponding source file: sfx2/source/dialog/dinfdlg.cx

Just check how similar source files are handled.
Comment 10 Markus Mohrhard 2015-01-30 04:17:42 UTC
(In reply to Jérôme from comment #6)
> In case the user doesn't use at all the preview :
> - the file size is smaller (up to 30% depending on the content)
> - LO is saving the file slightly faster
> - it slightly descreases the energy consumption (extends a notebook battery
> operation, decreases the energy footprint on Earth, ...)

Just to add some points here.

The file size might be a bit smaller but it is only measurable when the file itself is small so it should not matter.

The other two are totally invalid as you will not be able to measure the effect of them. Actually adding that option now might cause that saving takes slightly longer and the energy consumption increases.

@Noel: Please leave code pointers when you mark a bug an Easy Hack as it otherwise is not easy for the developer to fix it.
Comment 11 Jérôme 2015-01-30 20:44:52 UTC
(In reply to Markus Mohrhard from comment #10)
> Actually adding that option now might cause that saving
> takes slightly longer and the energy consumption increases.

Writing one additional XML attribute will not use more cpu than writing a whole png file.
Comment 12 Berk Gureken 2015-10-26 20:41:30 UTC
I'm working on this bug: https://gerrit.libreoffice.org/#/c/19596/
Comment 13 Berk Gureken 2015-11-02 07:58:36 UTC
Hello, is there anything else that I need to do about this bug? 
I'm waiting for code-review on gerrit: https://gerrit.libreoffice.org/#/c/19596/
Comment 14 Commit Notification 2015-11-10 12:25:32 UTC
bureken committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d7ca71d4b1ac085c575fdc24f37940100ab38961

tdf#87995 - settings : missing a checkbox in order to avoid thumbnail saving

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Tomaz Vajngerl 2015-11-10 15:53:03 UTC
Great.. but currently this is not a document property as it is not written to the document. So the next time one will open the document this property will reset and at save the thumbnail will again be generated and stored into the document.
Comment 16 Adolfo Jayme 2015-11-11 16:49:29 UTC
Oh, good point.
Comment 17 Robinson Tryon (qubit) 2015-12-03 11:23:10 UTC
Converting Whiteboard tags to Keywords: filter:odf
Comment 18 Robinson Tryon (qubit) 2015-12-14 06:33:00 UTC Comment hidden (obsolete)
Comment 19 Robinson Tryon (qubit) 2016-02-18 14:52:38 UTC Comment hidden (obsolete)
Comment 20 Jérôme 2017-11-18 14:09:46 UTC
With 5.2 version I noticed this behaviour :
1. uncheck "Save preview picture with this document"
2. save the document (without the preview picture)
3. close and next open the document again
4. save the document
5. the preview picture was saved into the document

How do I ensure the preview picture isn't saved anymore once I choosed it shouldn't be saved with a specific document ?
Comment 21 Ilhan Yesil 2018-04-04 15:25:39 UTC
This will be my first contribution to LibreOffice.
Comment 22 Xisco Faulí 2018-05-06 02:28:31 UTC Comment hidden (obsolete)
Comment 23 Ilhan Yesil 2018-05-07 07:20:25 UTC
https://gerrit.libreoffice.org/#/c/52768/
Comment 24 Thomas Lendo 2018-05-15 21:42:29 UTC
Thumbnail and checkbox still active after deactivation, saving and reopening of file.
Comment 25 Ilhan Yesil 2018-05-17 10:01:04 UTC
(In reply to Thomas Lendo from comment #24)
> Thumbnail and checkbox still active after deactivation, saving and reopening
> of file.

Sorry, I've tested it with an odt file, because it has shown the same effect und assumed, I correct this issue at a general place if I fix it for an odt file.
Comment 26 Ilhan Yesil 2018-05-22 09:58:39 UTC
I think, the task is complete, but I'm not sure with database files, as I've not found the "Properties" menu item under "File". In settings.xml the new property is saved, but where is the according dialog?
Comment 27 Commit Notification 2018-06-01 07:53:52 UTC
Ilhan Yesil committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2ded7acd61cf01a7c50d770b17605252738ed684

tdf#87995 Missing setting for save thumbnail in settings.xml.

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 28 Xisco Faulí 2018-07-02 02:33:14 UTC Comment hidden (obsolete)
Comment 29 Xisco Faulí 2018-08-02 02:47:50 UTC Comment hidden (obsolete)
Comment 30 Jérôme 2018-08-03 16:03:55 UTC
The bugfix isn't released in the 6.1.0.3 version (snap GNU/Linux x86_64). Then "resolved" means "pushed to master branch". I hope this bug fix will be released into the first 6.2 version.